# Generated from neonredd-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name neonredd

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: A Reddit API Wrapper for Ruby
License: MIT
URL: https://gitlab.com/SirNeon/neonredd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(rspec) < 3.3
# BuildRequires: rubygem(vcr) >= 2.9.3
# BuildRequires: rubygem(vcr) < 2.10
# BuildRequires: rubygem(webmock) >= 1.20.4
# BuildRequires: rubygem(webmock) < 1.21
BuildArch: noarch

%description
This is literally just Redd that can grab up to 1000 listing items.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGELIST.md
%license %{gem_instdir}/LICENSE.md
%license %{gem_instdir}/Redd.LICENSE.md
%license %{gem_instdir}/RedditKit.LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/neonredd.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.5-1
- Initial package
